lab_1/urls.py
from django.conf.urls import url
from .views import index
#url for app
urlpatterns = [
    url(r'^$', index, name='index'),
]

lab_5/urls.py
from django.conf.urls import url
from .views import index, add_todo

urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^add_todo', add_todo, name='add_todo'),
]

praktikum/urls.py
from django.conf.urls import url, include
from django.contrib import admin
import lab_1.urls as lab_1
import lab_2.urls as lab_2
import lab_2_addon.urls as lab_2_addon
import lab_3.urls as lab_3
import lab_4.urls as lab_4
import lab_5.urls as lab_5
from lab_1.views import index as index_lab1
from django.views.generic.base import RedirectView


urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^lab-1/', include(lab_1,namespace='lab-1')),
    url(r'^lab-2/', include(lab_2,namespace='lab-2')),
	url(r'^lab-2-addon/', include(lab_2_addon,namespace='lab-2-addon')),
    url(r'^lab-3/', include(lab_3,namespace='lab-3')),
    url(r'^lab-4/', include(lab_4,namespace='lab-4')),
    url(r'^lab-5/', include(lab_5,namespace='lab-5')),
    #url(r'^addon/', include(lab_2,namespace='lab-2')),
    url(r'^$', RedirectView.as_view(url='/lab-2/',permanent='True'),name='indeks'),
	url(r'^$', index_lab1 , name = 'index')
]
#True agar ke direct ke 301
#False agar ke direct ke 302

lab_5/models.py
from django.db import models

class Todo(models.Model):
	title = models.CharField(max_length=27)
	description = models.TextField()
	created_date = models.DateTimeField(auto_now_add=True)

lab_5/forms.py
from django import forms

class Todo_Form(forms.Form):
    error_messages = {
        'required': 'Tolong isi input ini',
    }
    title_attrs = {
        'type': 'text',
        'class': 'todo-form-input',
        'placeholder':'Masukan judul...'
    }
    description_attrs = {
        'type': 'text',
        'cols': 50,
        'rows': 4,
        'class': 'todo-form-textarea',
        'placeholder':'Masukan deskripsi...'
    }

    title = forms.CharField(label='', required=True, max_length=27, widget=forms.TextInput(attrs=title_attrs))
    description = forms.CharField(label='', required=True, widget=forms.Textarea(attrs=description_attrs))

lab_5/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect
from .forms import Todo_Form
from .models import Todo

# Create your views here.
response = {}
def index(request):    
    response['author'] = "" #TODO Implement yourname
    todo = Todo.objects.all()
    response['todo'] = todo
    html = 'lab_5/lab_5.html'
    response['todo_form'] = Todo_Form
    return render(request, html, response)

def add_todo(request):
    form = Todo_Form(request.POST or None)
    if(request.method == 'POST' and form.is_valid()):
        response['title'] = request.POST['title']
        response['description'] = request.POST['description']
        todo = Todo(title=response['title'],description=response['description'])
        todo.save()
        return HttpResponseRedirect('/lab-5/')
    else:
        return HttpResponseRedirect('/lab-5/')

lab_5/templates/lab_5/partials/footer.html
<p>Made with Love by {{author}}</p>

lab_5/templates/lab_5/partials/header.html
<!-- templates/lab_5/partials/header.html -->
<nav>
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" href="">Home</a>
    </div>
    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
        <!-- LINK MENUJU table, dan link menuju home#form -->
        <li><a href="{% url 'lab-5:index' %}#input-list">Input Todo</a></li>
        <li><a href="{% url 'lab-5:index' %}#my-list">My List</a> </li>
      </ul>
    </div><!--/.nav-collapse -->
  </div>
</nav>
...